I have ibook g4 with osx 10.4.11 can i get snow leopard??

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    No,Only Intel Macs can run this,you have a powerpc processer and it will not run.

    Was this useful? Answer 1

    6 of 7 people found this useful

Related Questions